
% Template for Elsevier CRC journal article
% version 1.1 dated 16 March 2010

% This file (c) 2010 Elsevier Ltd.  Modifications may be freely made,
% provided the edited file is saved under a different name

% This file contains modifications for Procedia Computer Science
% but may easily be adapted to other journals

% Changes since version 1.0
% - elsarticle class option changed from 1p to 3p (to better reflect CRC layout)

%-----------------------------------------------------------------------------------

%% This template uses the elsarticle.cls document class and the extension package ecrc.sty
%% For full documentation on usage of elsarticle.cls, consult the documentation "elsdoc.pdf"
%% Further resources available at http://www.elsevier.com/latex

%-----------------------------------------------------------------------------------

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                          %%
%% Important note on usage                  %%
%% -----------------------                  %%
%% This file must be compiled with PDFLaTeX %%
%% Using standard LaTeX will not work!      %%
%%                                          %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% The '3p' and 'times' class options of elsarticle are used for Elsevier CRC
\documentclass[5p,times]{elsarticle}

%% The `ecrc' package must be called to make the CRC functionality available
\usepackage{ecrc}

%% The ecrc package defines commands needed for running heads and logos.
%% For running heads, you can set the journal name, the volume, the starting page and the authors

%% set the volume if you know. Otherwise `00'
\volume{00}

%% set the starting page if not 1
\firstpage{1}

%% Give the name of the journal
\journalname{Current Opinions in Systems Biology}

%% Give the author list to appear in the running head
%% Example \runauth{C.V. Radhakrishnan et al.}
\runauth{E. Noor et al.}

%% The choice of journal logo is determined by the \jid and \jnltitlelogo commands.
%% A user-supplied logo with the name <\jid>logo.pdf will be inserted if present.
%% e.g. if \jid{yspmi} the system will look for a file yspmilogo.pdf
%% Otherwise the content of \jnltitlelogo will be set between horizontal lines as a default logo

%% Give the abbreviation of the Journal.
\jid{cosb}

%% Give a short journal name for the dummy logo (if needed)
\jnltitlelogo{Current Opinions in Systems Biology}

%% Hereafter the template follows `elsarticle'.
%% For more details see the existing template files elsarticle-template-harv.tex and elsarticle-template-num.tex.

%% Elsevier CRC generally uses a numbered reference style
%% For this, the conventions of elsarticle-template-num.tex should be followed (included below)
%% If using BibTeX, use the style file elsarticle-num.bst

%% End of ecrc-specific commands
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% The amssymb package provides various useful mathematical symbols
\usepackage{amssymb}
%% The amsthm package provides extended theorem environments
%% \usepackage{amsthm}

%% The lineno packages adds line numbers. Start line numbering with
%% \begin{linenumbers}, end it with \end{linenumbers}. Or switch it on
%% for the whole article with \linenumbers after \end{frontmatter}.
\usepackage{lineno}

%% natbib.sty is loaded by default. However, natbib options can be
%% provided with \biboptions{...} command. Following options are
%% valid:

%%   round  -  round parentheses are used (default)
%%   square -  square brackets are used   [option]
%%   curly  -  curly braces are used      {option}
%%   angle  -  angle brackets are used    <option>
%%   semicolon  -  multiple citations separated by semi-colon
%%   colon  - same as semicolon, an earlier confusion
%%   comma  -  separated by comma
%%   numbers-  selects numerical citations
%%   super  -  numerical citations as superscripts
%%   sort   -  sorts multiple citations according to order in ref. list
%%   sort&compress   -  like sort, but also compresses numerical citations
%%   compress - compresses without sorting
%%
%% \biboptions{comma,round}

\biboptions{sort&compress}

% if you have landscape tables
\usepackage[figuresright]{rotating}
\usepackage[utf8]{inputenc}

% put your own definitions here:
%   \newcommand{\cZ}{\cal{Z}}
%   \newtheorem{def}{Definition}[section]
%   ...

% add words to TeX's hyphenation exception list
%\hyphenation{author another created financial paper re-commend-ed Post-Script}

% declarations for front matter

% user added definitions:
\usepackage{xcolor}
\usepackage[hidelinks]{hyperref}

\newcommand{\keff}{k\textsubscript{eff}}

\begin{document}

\begin{frontmatter}

%% Title, authors and addresses

%% use the tnoteref command within \title for footnotes;
%% use the tnotetext command for the associated footnote;
%% use the fnref command within \author or \address for footnotes;
%% use the fntext command for the associated footnote;
%% use the corref command within \author for corresponding author footnotes;
%% use the cortext command for the associated footnote;
%% use the ead command for the email address,
%% and the form \ead[url] for the home page:
%%
%% \title{Title\tnoteref{label1}}
%% \tnotetext[label1]{}
%% \author{Name\corref{cor1}\fnref{label2}}
%% \ead{email address}
%% \ead[url]{home page}
%% \fntext[label2]{}
%% \cortext[cor1]{}
%% \address{Address\fnref{label3}}
%% \fntext[label3]{}

\dochead{Omics data integration}
%% Use \dochead if there is an article header, e.g. \dochead{Short communication}

\title{Biological insights through omics data integration}

%% use optional labels to link authors explicitly to addresses:
%% \author[label1,label2]{<author name>}
%% \address[label1]{<address>}
%% \address[label2]{<address>}

\author[1]{Elad Noor\fnref{equal}}
\author[1,2]{Sarah Cherkaoui\fnref{equal}}
\author[1]{Uwe Sauer\corref{cor}}
\ead{sauer@ethz.ch}
\cortext[cor]{Corresponding author}
\fntext[equal]{These authors contributed equally to this review}

\address[1]{Institute of Molecular Systems Biology, ETH Zürich, Switzerland}
\address[2]{PhD Program in Systems Biology, Life Science Graduate School, Zürich, Switzerland}

%%TC:ignore
\begin{abstract}
The number of studies that collect and publish large-scale multi-omics data is rapidly increasing. So far, we have not realized the full potential of the biological insights that can be drawn from integrating this data. In this review, we present the different existing approaches for such multi-omics integration, and highlight innovative papers that present new methods or biological insights. We claim that the difficulty in scaling remains one of the main reasons for the under-use of dynamic mechanistic models, and discuss the potential of machine learning to disrupt this scientific field as it has done for many others.
\end{abstract}
%%TC:endignore

\begin{keyword}
%% keywords here, in the form: keyword \sep keyword
multi-omics \sep data integration \sep machine learning \sep knowledge-based approaches \sep data-driven approaches
%% MSC codes here, in the form: \MSC code \sep code
%% or \MSC[2008] code \sep code (2000 is the default)

\end{keyword}

\end{frontmatter}

%%
%% Start line numbering here if you want
%%
%% \linenumbers

%% main text

\section*{Introduction}
The genomics revolution marked the transition from focusing on a handful of genes at a time to simultaneously measuring as many of these cellular components as possible. The study of many other biological entities such as mRNA transcripts, proteins, or metabolites, have since followed similar paths, carrying with them the \textit{-omics} suffix. The logical next step, denoted as multi-omics, was to scale up the number of different \textit{omics} performed in each study, boosted by the increasing popularity of collaborative science and the availability of service providers that facilitate outsourcing some/most of these analyses (Figure \ref{fig:fig1}A). \cite{haas_designing_2017,vilanova_are_2016,williams_systems_2016,yugi_trans-omics:_2016}.As more and more biological datasets are being gathered at a rapidly accelerating pace, the data analysis problem is greatly exacerbated, in particular the challenge of drawing biological insights from it. In this review, we define integration as the process of analysing multi-omics datasets in a synergistic fashion, in contrast to separate omics analysis, in the prospect of gaining more knowledge from the combination. In 2013, the NIH started the \href{https://commonfund.nih.gov/bd2k}{BD2K} (Big Data to Knowledge) program to foster development of new ways to analyze the overwhelming amount of gathered data \cite{bui_envisioning_2017}. For example, one of the program's test-case datasets, TOPMed (Trans-Omics for Precision Medicine), aims to collect whole-genome sequences, DNA methylation signatures, transcriptomics, metabolomics, and proteomics from 120,000 individuals.

%%TC:ignore
\begin{figure*}
	\includegraphics[width=0.7\linewidth]{fig1.pdf}
	\centering
	\caption{\textbf{Breakdown of \href{https://www.ncbi.nlm.nih.gov/pubmed/}{PubMed} publications where one or more omics were used.} (A) Total number of papers published per year per omics since 2000. We included both \textit{-ome} and \textit{-omic} in the search of each of the four types (e.g. \textit{genome} or \textit{genomic} for the genomics query). The number of transcriptomics papers might be underestimated as the term \textit{transcriptomics} is often times replaced by gene expression. Because of a change in naming conventions, the terms \textit{RNAseq} and \textit{microarray} were included in the transcriptomic query.  (B) Venn diagram showing the overlap of papers that include one or more omics, published between 2000 and 2017. Multi-omics is defined as a publication that includes more than one type of omics. To date, the most common omics overlaps are genomics + proteomics and genomics + transcriptomics, which together amount to more than 10\% of all \textit{omics} papers. (C) Percentage of multi-omics publications (not counting genomics) out of total publications with at least two of the three omics: transcriptomics, proteomics and metabolomics. Genomics was omitted in order not to bias the results, since the term \textit{genome} is often used in other contexts (e.g. \textit{genome-wide} or \textit{genome-scale}). All PubMed queries were performed using \href{https://biopython.org/}{BioPython} \cite{cock_biopython:_2009}, and the scripts can be found on the GitLab repository \url{https://gitlab.com/elad.noor/cosb18-multiomics-integration}.
	}
	\label{fig:fig1}
\end{figure*}
%%TC:endignore


These and other multi-omics databases lay the foundation for medical prognosis tools or predicting disease trajectories. Even though the number of multi-omics studies increases steadily (Figures \ref{fig:fig1}B and \ref{fig:fig1}C), surprisingly few of them integrate different omics and even fewer develop novel ways for performing the integration. Though general statistical methods exist for analyzing multi-omics data \cite{bersanelli_methods_2016,rohart_mixomics:_2017}, they do not consider known mechanistic or functional interactions between the measured components. Models describing these interactions on the physical level are key for a deeper understanding of the underlying mechanisms. The most common abstraction that ubiquitously appears in such models is the \textit{network} \cite{newman_networks_2018}, but more often than not, more specific descriptions that include quantitative and temporal information are necessary to capture biological phenomena. Here, we review recent work that presented novel approaches for integrating omics data or provided biological insights from such integration (Figure \ref{fig:fig2}), broken down into two main categories: data-driven and knowledge-based approaches.

\section*{Data-driven approaches}
Although the number of multi-omic studies is rapidly increasing, the diversity of methods for integrating these data remains limited. Rather than relying on prior information such as component interaction or kinetic parameters, the most commonly used methods are purely data-driven. We classify such methods into three categories: statistical approaches (e.g. correlation, enrichment analysis), unsupervised methods (clustering, factorization, dimension reduction techniques, etc.), and supervised machine learning.

\subsection*{Statistical methods}
The most widely used data-driven methods for interpreting multi-omics datasets are based on simple statistics, such as correlations or associations. Changes in measured entities such as proteins, mRNAs, or metabolites are compared across conditions, assuming their levels will respond similarly if they are involved in the same biological process. Such methods are commonly used in genome-wide association studies to associate genetic variants to phenotypes. As an example, a recent study of mitochondrial phenotypes collected genomic, transcriptomic, proteomic, and metabolomic data from nearly four hundred mice, amounting to one of the most comprehensive multi-omics datasets to date \cite{williams_systems_2016}. Correlating genetic loci with concentration changes through molecular quantitative trait locus (QTL\footnote{A QTL is a section in the genome whose sequence correlates with a quantitative trait that varies across individuals in the population.}) analysis, novel links between genes, proteins and metabolites were identified and associated with complex metabolic phenotypes. More recently, a similar analysis of mammalian cells used correlation of proteins and metabolites to profile the temporal changes throughout the cell cycle \cite{lee_proteomic_2017}.

Focusing on the small genome microbe \textit{Mycoplasma pneumoniae}, non-parametric statistics pointed to correlations within large multi-omics datasets \cite{chen_integration_2016}. For example, multivariate adaptive regression splines (MARS\footnote{MARS is a non-parametric regression analysis method that is able to fit non-linear relationships \cite{maaten_visualizing_2008}.}) allowed to infer factors that contributed most to mRNA and protein abundance, surprisingly revealing that protein half-life and the frequency of acetylation sites contributed more to protein abundance than mRNA levels. Even for well-studied model organisms such as \textit{E. coli}, very little is known about interactions between small molecules and transcription factors. By correlating metabolomics with measured promoter activities, Kochanowski et al. identified the three major input signals into the transcription factor network that suffice to explain gene expression in central metabolism under more than twenty conditions, and suggested novel allosteric interactions of transcription factors \cite{kochanowski_few_2017}. Statistical methods have the advantage of generating rapidly hypotheses by linking the different omics variables to one another, however, these links do not always reflect causality.

%%TC:ignore
\begin{figure*}
	\centering
	\includegraphics[width=0.7\linewidth]{fig2.pdf}
	\caption{\textbf{Scheme of two archetypal approaches to multi-omics data integration.} Data-driven approaches choose models that require fewer parameters or prior knowledge, therefore offering an abstract representation of the interactions between the entities. Knowledge-based approaches require more assumptions and heavily depend on literature information to populate a concrete mechanistic model but can provide more mechanistic understanding.}
	\label{fig:fig2}
\end{figure*}
%%TC:endignore

\subsection*{Unsupervised methods}
Statistics methods typically evaluate single or pairs of variables at a time, rather than taking full advantage of high dimensional data. Since processing all information concurrently, or even just visualizing it, can be challenging, often unsupervised methods are used to reduce data dimensions, to highlight underlying factors within the data or to identify clusters based on similarity. Unsupervised methods use machine learning algorithms to identify patterns without reference to known outcome, using unlabeled samples. For holistic analysis of high-dimensional datasets, a new technique based on matrix factorization was successfully used to identify patterns that can later be interpreted and given biological context (see review \cite{stein-obrien_enter_2018}). As a variant of matrix factorization, multi-omics factor analysis (MOFA) unravels principal sources of variation and allows to infer low-dimensional factors that are representations of the original data \cite{argelaguet_multiomics_2018}. In an application of MOFA to single‐cell multi‐omics data, the advantage of learning continuous factors (rather than discrete) was demonstrated for the first time and used to identify coordinated transcriptional and epigenetic changes along cell differentiation. In brief, factorization methods decompose the variation of omics data and these factors can then be related to the studied phenotype.

Nonlinear dimension reduction techniques, such as T-distributed stochastic neighbor embedding (t-SNE\footnote{t-distributed stochastic neighbor embedding -- a high-dimensional data visualization method based on non-linear embedding in two or three dimensions that aims to conserve the original distances.}) and unsupervised clustering, are powerful to characterize diverse cell types from single-cell omics data. Frequently, each omics data set is reduced using t-SNE, they are then clustered, and the clustering results are compared to the cell typing results from flow cytometry (see review for all single-cell integration approaches \cite{colome-tatche_statistical_2018}). This approach provides information on which omic is most informative for each cell type. For example, combining transcriptomics and proteomics in single-cell measurements successfully identified an unknown immune cell type that could not have been found without unsupervised methods \cite{peterson_multiplexed_2017}. However, one should be aware that unsupervised methods assume that the largest signal in the data is biologically meaningful. This might not always be the case if unwanted covariates, such as batch effects, are driving this variation.

\subsection*{Supervised machine learning}
Machine learning has been hailed as a boon for the new era of data-rich biology for some time now \cite{almeida_predictive_2002, camacho_next-generation_2018, tarca_machine_2007}. In supervised learning, a set of input attributes are used to predict the value of a target. Machine learning algorithms based on linear models, such as regression, have been extensively used for such purpose. Supervised machine learning has proven useful in many applications such as predicting synergistic drug combinations \cite{weinstein_prediction_2017}, microbial interactions \cite{dimucci_machine_2018}, and for classifying skin cancer \cite{esteva_dermatologist-level_2017}. More recently, complex  machine learning algorithms such as deep neural networks have been developed to easily handle very large datasets, and identify highly intricate patterns that may help in predicting biological functions, they will increasingly be used for the integration of omics data. The challenge lies in gathering enough curated data to train the algorithm and measure its success.

A recent study of gut microbiota of 220 patients with inflammatory bowel disease (IBD) has both used a statistical approach and a supervised machine learning to integrate metagenomics with metabolomics and predict the disease status \cite{franzosa_gut_2018}. Using correlations, Franzosa et al. could identify metabolites associated with microbial species abundance measured in each of the two IBD sub-types, Using random forest, they trained this machine learning classifier to predict a patient's disease status based on metagenomics, metabolomics and their combination. The integration of microbial species and metabolites did not, however, improve the high predicting power of using metabolites solely.

\vspace{0.5cm}

A comparative study of five unsupervised multi-omics integration methods demonstrated that combining more omics can improve the accuracy of clustering, but on the other hand might add noise and decrease signal strength \cite{tini_multi-omics_2017}. This highlights the opportunity as well as the danger of adding more and more layers of information into one's model. Thus, there is an urgent need for robust, coherent, and statistically sound methods that will facilitate multi-omics integration, while preventing bad practices such as p-hacking -- a known phenomenon where scientists increase the significance score of their study by subtle manipulation of the data (e.g. by not including some of experimental results in the statistical analysis).

A priori, all data-driven integrations could be done using machine learning. These method have the potential to identify patterns from excessively large omics data to predict complex phenotypes and generate novel hypothesis. Even though machine learning holds great promise for omics integration, few applications have delivered, solely from data, mechanistic understanding of a biological system (Figure \ref{fig:fig2}). Like other data-driven approaches, machine learning hardly considers the vast existing biochemical knowledge, as this is a very challenging task. It thus delivers plausible novel relationships but rarely reveals causality or evidence for direct interactions. In the following sections, we therefore review how existing knowledge based methods has been successfully applied to multi-omics data integration.


\section*{Knowledge-based approaches}
To achieve mechanistic understanding, one needs to move beyond purely data-driven approaches and capitalize on the extensive prior knowledge about component interactions. In this section, we focus on studies that exemplify (in our eyes) the process of conducting knowledge-based studies. Notably, these examples do not always employ knowledge-based approaches exclusively, but rather combine them with data-driven methods.

There are many ways to divide knowledge-based approaches into sub-categories. Here, we chose to distinguish models based on interaction networks from dynamic mechanistic ones (or topological versus kinetic). In a sense, this separation is superficial and it might not always be obvious to which category a certain paper belongs. For example, using boolean logic to simulate signaling networks lies somewhere in between. Furthermore, constraint-based genome-scale metabolic models (which appear in many of our examples) would classically fall in the network category. In the recent years, however, more and more applications use the same models to predict dynamic metabolic behavior even without explicitly solving systems of Ordinary Differential Equations (ODEs). Nevertheless, we believe this distinction is helpful to understand the difference in how the two categories approach multi-omics integration.

\subsection*{Interaction networks}
Sequence-based data from genome to proteome is naturally easier to enrich with literature data, since the sequence information itself is transferred directly from DNA to protein. A good example is comparing transcriptome and proteome to shed light on translation efficiency, post-translational modification, and protein half-life \cite{chen_integration_2016, hausser_central_2018}. Since metabolites are not directly and certainly not unambiguously connected to the other datasets \cite{donati_crosstalk_2018, haas_designing_2017, yugi_metabolism_2018}, their integration requires some type of interaction network \cite{chiappino-pepe_integration_2017, sevin_biological_2015}. Such interaction networks are primarily metabolic models that rely on our advanced knowledge of enzymatic reactions \cite{king_next-generation_2015}, but may also include less mechanistic interaction maps such as those between metabolites and genes that became available recently \cite{fuhrer_genomewide_2017} and have been used to infer the underlying genetic basis for metabolite responses \cite{zampieri_nontargeted_2017}. Here, we focus on knowledge-based methods that integrate metabolomics and sequence-based datasets to learn about interactions between genes / proteins and metabolites such as regulation mechanisms.

A key question often is, which mechanism regulates metabolic function, that is flux. Gerosa et al. gathered transcriptomic, metabolomic and fluxomic data of \textit{E. coli} grown under different conditions. By systematically comparing the flux through each reaction in central metabolism to the different factors that affect it -- namely enzyme abundance, substrate level, and thermodynamic driving force -- they were able to suggest which mechanisms regulate the flux when cells transition from one environment to another \cite{gerosa_pseudo-transition_2015}.

The Rabinowitz lab used a similar multi-omic dataset to specifically study the regulation of flux by small molecules (i.e. allosteric regulation and substrate / product inhibition). This systematic identification of meaningful metabolic enzyme regulation combined steady-state proteomic, fluxomic and metabolomic data to suggest control mechanisms that regulate the flux in one reaction at a time \cite{hackett_systems-level_2016}. By fitting a detailed metabolic rate law that uses the concentrations of an enzyme, together with all its substrates and products, and testing whether one or two allosteric regulators can improve that fit, they identified 29 yeast enzymes where regulation by a metabolite was statistically supported. The works of Hackett et al. and Gerosa et al. together are an inspiring demonstration of how multi-omics data can (paradoxically) reduce the amount of computation required for modeling a system. Directly observing most (or all) of the time-dependent variables circumvents the need to simulate a kinetic model, and instead fits a kinetic rate law for every single enzymatic reaction, one at a time.

The Milo lab used a similar focus on single reactions to bypass the need for a kinetic rate law altogether, by simply comparing fluxomic and proteomic data across many conditions, and finding the maximal \keff~-- i.e. the ratio of flux to protein abundance for a specific reaction \cite{davidi_global_2016}. This way, they were able to predict in vivo turnover rates for 132 \textit{E. coli} enzymes. Such effective enzyme turnover rates have become increasingly valuable, as models of metabolism have grown in complexity to include protein translation and genetic regulation \cite{davidi_lessons_2017, ebrahim_multi-omic_2016, ramon_integrating_2018}. By constraining the maximal possible flux in each reaction, based on the enzyme abundance and \keff, Sánchez et al. showed how genome-scale metabolic models predict phenotypes such as growth rates and overflow metabolism more precisely than previous approaches \cite{sanchez_improving_2017}. As with previous examples, using the notion of \keff~helps in overcoming the computational complexity that is required for solving dynamic models of enzyme kinetics, by keeping the system linear and greatly reducing the number of variables and parameters (e.g. metabolite concentrations and Michaelis-Menten constants can be ignored).

One of the first approached that combined machine learning and biochemical knowledge came from the Ralser lab. Rather than using simplified kinetic models or focusing on single reactions at a time, they applied a hybrid approach combining a metabolic network with machine learning to construct a predictive model of metabolite abundances \cite{zelezniak_machine_2018}. They showed that half of the variation in metabolite concentrations among yeast kinase knockouts can be predicted from proteomic measurements of enzymes that are 1-2 steps away in the network. The significance of this finding is that although we do not have a mechanistic description of how enzyme abundances determine steady-state metabolite levels, the information is there and can be used predictively. From the comparison of 12 different machine learning algorithms, ridge regression (a type of linear regression) was demonstrated to have the highest predictive value, although it is simpler and involves fewer parameters and more stringent assumptions than other algorithms.

The works from the Rabinowitz, Milo, and Ralser labs are promising examples of interdisciplinary science. All cases start by gathering multi-omics data, but rather than applying the data-driven methods discussed earlier directly, the authors added an intermediate step, where prior knowledge (e.g. about the metabolic network or mechanisms of enzyme kinetics) was used to focus the analysis and to infer high quality information and insights from it. Finally, statistical or machine learning methods were applied to validate the models.

Constraint-based models, such as flux balance analysis, originally focused only on metabolic networks, and are now being expanded to include more cellular processes such as translation and transcription. These algorithms, together with a growing set of tools, facilitate the integration of genomic, transcriptomic, and metabolomic data and aid in interpreting multi-omic analyses \cite{lieven_memote:_2018, lloyd_cobrame:_2018, machado_fast_2018, salvy_pytfa_2018, sergushichev_gam:_2016}. However, while the use of prior information in the form of molecular component interactions improves biological insights, the primary value of such approaches is in generating new hypotheses. The ability of such models to simulate a given system is somewhat limited since they do not typically represent the observable entities in a quantitative fashion (unlike dynamic models which we discuss next). On the flip side, topological models are much more scalable, and have proven to be very useful in countless applications such as predicting gene essentiality, metabolic engineering, drug design, and stability analysis.

\subsection*{Dynamic mechanistic models}
To maximize predictive power and mechanistic insights on the molecular level, ODE simulations based on physical models of binding and catalysis remain the gold standard. Combining such mechanistic models for all the different systems that exist within a cell is one of the biggest challenges in system biology \cite{waltemath_toward_2016}. A very precise model of an entire human cell, for example, could potentially make all experiments in live cell cultures obsolete. However, simulating large ODE systems is a computationally intensive task, and therefore most contemporary computational efforts focus on specific cell compartments or processes \cite{heiske_comprehensive_2017}, use a higher level of abstraction such as logic modeling for gene regulation networks \cite{le_novere_quantitative_2015}, or use linear kinetic rate laws for metabolic networks \cite{karr_whole-cell_2012, lloyd_cobrame:_2018, reimers_cellular_2017}. Others take advantage of the separation of time-scales between metabolic response (seconds) and gene expression (minutes), to construct a bi-level model where proteins are assumed to have constant concentrations on the short time scale, and metabolites are assumed to reach quasi-steady-state in the long time scale \cite{lee_dynamic_2008, mahadevan_dynamic_2002, richard_integration_2011, watanabe_dynamic_2018, yang_dynamicme:_2018}. These approaches allow modelers to avoid integrating large ODE systems, and are partially solved by linear programming.

In the recent years, larger models with more concrete kinetic rate laws have been developed for \textit{E. coli} \cite{stanford_systematic_2013, khodayari_genome-scale_2016}, \textit{S. cerevesiae} \cite{smallbone_large-scale_2013}, and even human cells \cite{bordbar_personalized_2015}. However, increasing the scale of mechanistic models requires more than just faster computers, but also depends on the combined effort of countless biochemists for collecting the relevant parameters and interaction networks \cite{tummler_discrepancy_2018}. So far, there are no high-throughput methods for experimentally measuring binding constants, enzyme Michaelis-Menten constants, or reaction equilibrium constants, and even if those were known one would need to know the regulatory mechanisms that modulate them.

Due to these challenges, dynamic models are rarely used to integrate multi-omics data and when they are applied, only small subsets of the entire omics data are actually utilized. Perhaps this explains why knowledge-based approaches are often discarded completely, and replaced by data-driven methods. For instance, understanding the relevant mechanisms that cause high-level, emergent phenomena such as disease state in humans is extremely complex and would likely require an impossibly large model. One could imagine though that mechanistic models of disease-relevant subsystems such as a signaling pathway could be combined in hybrid models with more coarse-grained interaction networks to make use of the entire omics dataset.

\section*{Conclusions}
Multi-omics papers will be more frequent in the near future, and promising new high-throughput methods such as limited proteolysis for unbiased and proteome-wide profiling of protein conformational changes \cite{piazza_map_2018}, proteomics of proteoforms \cite{smith_proteoforms_2018}, single-cell omics measurements \cite{peterson_multiplexed_2017}, or small-molecule interactions \cite{diether_towards_2017} will be more routinely added to the repertoire. Such rich multi-omics dataset will inspire the development of more complex mechanistic models that can take advantage of the new data. For example, genome-scale metabolic models have already began to routinely integrate transcriptomic and proteomic data \cite{lloyd_cobrame:_2018} and we will likely more layers of information added in the near future.

Hence there will be an increased demand for data-driven and knowledge-based integration methods. In this context, machine learning holds great promise, and is already used intensively in biomedical applications \cite{kourou_machine_2015, sirinukunwattana_locality_2016}. It remains presently unclear how this powerful approach can actually forward our understanding of biological systems. The difficulty of ``looking into the brain'' of a learning algorithm is a known problem and is under active research by computer scientists. Notably, this difficulty goes also in the other direction -- namely we do not have effective ways for facilitating the machine learning process by letting it access the vast amount of literature data and insights. One general idea called surrogate modeling, is to use a mechanistic model to simulate more data and use that as extra input for the machine learning algorithm \cite{kogadeeva_sumoflux:_2016}. As new methods and machine learning approaches are developed and adopted by biologists \cite{heckmann_machine_2018}, they are likely to become an essential part of multi-omics data analysis. Hybrid techniques that take advantage of the vast computational capabilities while maintaining the underlying mechanistic model are now beginning to emerge and will hopefully gain popularity. It remains to be seen whether a generalized algorithm that can handle all the different types of omics data and network-based information will one day become the default tool for biological data analysis.

\section*{Acknowledgements}
We are grateful to Mattia Zampieri for critical comments on the manuscript.

%% The Appendices part is started with the command \appendix;
%% appendix sections are then done as normal sections
%% \appendix

%% \section{}
%% \label{}

%% References
%%
%% Following citation commands can be used in the body text:
%% Usage of \cite is as follows:
%%   \cite{key}         ==>>  [#]
%%   \cite[chap. 2]{key} ==>> [#, chap. 2]
%%

%%TC:ignore
%% References with BibTeX database:

\bibliographystyle{elsarticle-num}
\bibliography{references}

%% Authors are advised to use a BibTeX database file for their reference list.
%% The provided style file elsarticle-num.bst formats references in the required Procedia style

%% For references without a BibTeX database:

% \begin{thebibliography}{00}

%% \bibitem must have the following form:
%%   \bibitem{key}...
%%

% \bibitem{}

% \end{thebibliography}

\section{Special interest}
** \cite{franzosa_gut_2018} -- Collected metabolomic and metagenomic data from the gut microbiota of 220 patients with inflammatory bowel diseases. They identified many metabolites associated with the different conditions, and trained a machine learning classifier that could accurately predict a patient's disease status.

* \cite{zelezniak_machine_2018} -- Used a library of 97 yeast kinase knockout strains to gather a large proteomic and metabolomic dataset. Testing many different machine learning algorithms, they found that about half of the variation in a metabolite concentrations can be predicted using the levels of its neighboring enzymes.

** \cite{williams_systems_2016} -- Studied the metabolic function of 386 mice from a genetic reference population under various environmental conditions. On top of their genotypes, they have measured over 25’000 transcripts, 2’500 proteins and nearly 1000 metabolites, which makes it one of the largest multi-omics study to date. They identified the genomic variants of mitochondrial enzymes that caused inborn error in metabolism and revealed two genes that appear to function in cholesterol metabolism. 

* \cite{hackett_systems-level_2016} -- Collected metabolomic and proteomic data from yeast cells in 25 different steady-state conditions and develop a method to identify small molecule regulations in vivo. By fitting a reversible Michaelis-Menten kinetic rate law for 56 reactions and assessing whether a potential regulator improves that fit, they found three previously unknown cross-pathway regulators.

* \cite{khodayari_genome-scale_2016} -- Introduce a genome scale kinetic model for \textit{E. coli} comprising 457 reactions and 337 metabolites which is the most comprehensive to date. They parameterize it using a genetic algorithm and multiple measurements of fluxomic data.

* \cite{lee_proteomic_2017} -- Collected time-course metabolomic and proteomic data from arrested pro-B cells in response to IL-3 activation and find many patterns commonly associated with cancer cells such as high uptake of methionine in G1.

** \cite{argelaguet_multiomics_2018} -- Developed a method to unravel principal sources of variation in multi-omics data using factor analysis. The method disentangles axes of heterogeneity that are shared across multiple omics and those specific to individual omic. They applied their method to two datasets where they  successfully identified the major drivers in chronic lymphocytic leukemia, a clinically and biologically heterogeneous disease, and recover a differentiation trajectory in single‐cell multi‐omics data.

* \cite{peterson_multiplexed_2017} -- Developed a tool to simultaneously measure proteins and mRNAs in single cells. Using unsupervised methods, they successfully combined these transcriptomics and proteomics datasets to identify and characterize an unknown immune cell type that could not have been found without this approach.
%%TC:endignore

\end{document}

%%
%% End of file `ecrc-template.tex'. 